### Class

# GUsb Interface

unstable since: 1.0

#### Description

    final class GUsb.Interface : GObject.Object
    {
      /* No available fields */
    }

No description available.

Available since: 1.0

#### Ancestors

- GObject

#### Instance methods

###### g_usb_interface_get_alternate

Gets the alternate setting for the interface.

since: 0.2.8

###### g_usb_interface_get_class

Gets the interface class, typically a `GUsbInterfaceClassCode`.

since: 0.2.8

###### g_usb_interface_get_endpoints

Gets interface endpoints.

since: 0.3.3

###### g_usb_interface_get_extra

Gets any extra data from the interface.

since: 0.2.8

###### g_usb_interface_get_index

Gets the index for the string descriptor.

since: 0.2.8

###### g_usb_interface_get_kind

Gets the type of interface.

since: 0.2.8

###### g_usb_interface_get_length

Gets the USB bus number for the interface.

since: 0.2.8

###### g_usb_interface_get_number

Gets the interface number.

since: 0.2.8

###### g_usb_interface_get_protocol

Gets the interface protocol qualified by the class and subclass numbers. See `g_usb_interface_get_class()` and g_usb_interface_get_subclass().

since: 0.2.8

###### g_usb_interface_get_subclass

Gets the interface subclass qualified by the class number. See g_usb_interface_get_class().

since: 0.2.8

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct GUsbInterfaceClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.